### Function

# Fwupd variant_get_string

since: 2.1.4

#### Declaration [src]

    const gchar*
    fwupd_variant_get_string (
      GVariant* value
    )

#### Description [src]

Gets a string value from a variant.

Available since: 2.1.4

#### Parameters

`value`

  Type: `GVariant`

  A `GVariant`.

  The data is owned by the caller of the function.

#### Return value

Type: `const gchar*`

String, or `NULL` if not valid.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.